Wind River Support Network

HomeDefectsLIN1021-21
Fixed

LIN1021-21 : Security Advisory - qemu - CVE-2021-3546

Created: May 17, 2021    Updated: Aug 31, 2021
Resolved Date: Aug 31, 2021
Found In Version: 10.21.20.1
Fix Version: 10.21.20.3
Severity: Standard
Applicable for: Wind River Linux LTS 21
Component/s: Userspace

Description

An out-of-bounds write vulnerability was found in the virtio vhost-user GPU device (vhost-user-gpu) of QEMU. The flaw exists in virgl_cmd_get_capset() in contrib/vhost-user-gpu/virgl.c and could occur while processing the 'VIRTIO_GPU_CMD_GET_CAPSET' command. A malicious guest could use this flaw to crash the QEMU process on the host, resulting in a denial of service, or potentially execute arbitrary code on the host with the privileges of the QEMU process.


Patch series:
https://lists.nongnu.org/archive/html/qemu-devel/2021-05/msg01155.html

OOB write in virgl_cmd_get_capset() in virgl.c:
https://lists.nongnu.org/archive/html/qemu-devel/2021-05/msg01154.html

CREATE(Triage):(User=admin) [CVE-2021-3546|https://nvd.nist.gov/vuln/detail/CVE-2021-3546]

CVEs


Live chat
Online